Bug 101243 - man xrandr produces error
man xrandr produces error
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-30 09:13 EDT by Scott R. Godin
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version: 4.3.0-63
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-05 04:43:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott R. Godin 2003-07-30 09:13:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
attempting to view the manpage for xrandr produces an error and no manpage

I'm not 100% certain whether the error is in the manpage file itself
(/usr/X11R6/man/man1/xrandr.1x.gz), or in the implementation of troff/iconv for
RHL 9. 

Version-Release number of selected component (if applicable):
XFree86-4.3.0-2

How reproducible:
Always

Steps to Reproduce:
1. man xrandr

    

Actual Results:  8:47am {5} pcp01501167pcs:/home/webdragon>$ man xrandr
iconv: illegal input sequence at position 120
*much headscratching*

additional attempts also produce: 
8:55am {3} pcp01501167pcs:/home/webdragon>$ man xrandr
iconv: illegal input sequence at position 121


Expected Results:  normal display of manpage

Additional info:

This works: 

(zcat /usr/X11R6/man/man1/xrandr.1x.gz | groff -Tutf8 -man | less)

and this as well

(zcat /usr/X11R6/man/man1/xrandr.1x.gz | groff -Thtml -man | w3m -T text/html)
Comment 1 Mike A. Harris 2004-03-05 04:43:24 EST
Fixed in 4.3.0-63, along with the xcursorgen manpage.

Note You need to log in before you can comment on or make changes to this bug.